<?php

declare(strict_types=1);

namespace KupShop\CatalogBundle\ProductList\Builder;

/**
 * Creates and prepares a {@see \ProductList} instance from parameters provided from {@see FilteredProductListBuilder}.
 */
interface CompileStrategy
{
    public function compile(BuilderState $state): FilteredProductListInterface;
}
